Control: tags -1 +patch

Here is an NMU patch for this package. I intended to file an
RFS but the debomatic build failure stopped me to do so.

The build failure was caused by testsuite failure:
http://debomatic-amd64.debian.net/distribution#experimental/numba/0.30.0-2.1/buildlog

diff -Nru numba-0.30.0/debian/changelog numba-0.30.0/debian/changelog
--- numba-0.30.0/debian/changelog	2016-12-29 18:50:40.000000000 +0000
+++ numba-0.30.0/debian/changelog	2017-02-17 12:27:37.000000000 +0000
@@ -1,3 +1,12 @@
+numba (0.30.0-2.1) experimental; urgency=medium
+
+  * Non-maintainer / Team upload.
+  * Remove unwanted file "annotation_usecases.py" for the python2 package.
+    (Closes: #851578)
+  * Add basic autopkgtest support.
+
+ -- Zhou Mo <cdlumin...@gmail.com>  Fri, 17 Feb 2017 12:27:37 +0000
+
 numba (0.30.0-2) experimental; urgency=medium
 
   * deb/control:
diff -Nru numba-0.30.0/debian/rules numba-0.30.0/debian/rules
--- numba-0.30.0/debian/rules	2016-12-29 18:16:39.000000000 +0000
+++ numba-0.30.0/debian/rules	2017-02-17 12:22:23.000000000 +0000
@@ -7,6 +7,11 @@
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
+override_dh_auto_install:
+	dh_auto_install
+	# remove the unwanted file for python2 package
+	find debian/python-numba -type f -name annotation_usecases.py -delete
+
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cd {build_dir} && {interpreter} -Wd -m pytest numba/tests -v -rs" dh_auto_test
 
diff -Nru numba-0.30.0/debian/tests/control numba-0.30.0/debian/tests/control
--- numba-0.30.0/debian/tests/control	1970-01-01 00:00:00.000000000 +0000
+++ numba-0.30.0/debian/tests/control	2017-02-17 12:24:02.000000000 +0000
@@ -0,0 +1,3 @@
+Tests: simpletest.py2.sh
+
+Tests: simpletest.py3.sh
diff -Nru numba-0.30.0/debian/tests/simpletest.py2.sh numba-0.30.0/debian/tests/simpletest.py2.sh
--- numba-0.30.0/debian/tests/simpletest.py2.sh	1970-01-01 00:00:00.000000000 +0000
+++ numba-0.30.0/debian/tests/simpletest.py2.sh	2017-02-17 12:25:58.000000000 +0000
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -e
+
+# example taken from http://numba.pydata.org/
+python2 -c "
+from numba import jit
+from numpy import arange
+
+# jit decorator tells Numba to compile this function.
+# The argument types will be inferred by Numba when function is called.
+@jit
+def sum2d(arr):
+    M, N = arr.shape
+    result = 0.0
+    for i in range(M):
+        for j in range(N):
+            result += arr[i,j]
+    return result
+
+a = arange(9).reshape(3,3)
+print(sum2d(a))
+"
diff -Nru numba-0.30.0/debian/tests/simpletest.py3.sh numba-0.30.0/debian/tests/simpletest.py3.sh
--- numba-0.30.0/debian/tests/simpletest.py3.sh	1970-01-01 00:00:00.000000000 +0000
+++ numba-0.30.0/debian/tests/simpletest.py3.sh	2017-02-17 12:26:07.000000000 +0000
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -e
+
+# example taken from http://numba.pydata.org/
+python3 -c "
+from numba import jit
+from numpy import arange
+
+# jit decorator tells Numba to compile this function.
+# The argument types will be inferred by Numba when function is called.
+@jit
+def sum2d(arr):
+    M, N = arr.shape
+    result = 0.0
+    for i in range(M):
+        for j in range(N):
+            result += arr[i,j]
+    return result
+
+a = arange(9).reshape(3,3)
+print(sum2d(a))
+"

Reply via email to